## specter-clojure 1.0.2

=== debian/changelog ===
specter-clojure (1.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: Migrate to the Clojure Team.

  [ Andreas Tille ]
  * Build-Depends: s/default-jdk/default-jdk-headless/
  * Fix watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Feb 2025 15:58:14 +0100

specter-clojure (1.0.2-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 20:34:37 +0100

specter-clojure (1.0.2-2) unstable; urgency=medium

  * Properly build the jar, including the java classes.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 19:31:09 -0400

specter-clojure (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #855719)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 04 Aug 2017 11:04:41 -0400
