=== debian/control ===
Source: specter-clojure
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               maven-repo-helper,
               clojure,
               libriddley-clojure,
               libtext-markdown-perl | markdown,
               default-jdk-headless
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/clojure-team/specter-clojure
Vcs-Git: https://salsa.debian.org/clojure-team/specter-clojure.git
Homepage: https://github.com/nathanmarz/specter

Package: libspecter-clojure
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: data structure transformation library for Clojure
 Most of Clojure programming involves creating, manipulating, and transforming
 immutable values. However, as soon as your values become more complicated than
 a simple map or list – like a list of maps of maps – transforming these data
 structures becomes extremely cumbersome.
 .
 Specter is a library (for both Clojure and ClojureScript) for doing these
 queries and transformations extremely concisely and elegantly. These kinds of
 manipulations are so common when using Clojure – and so cumbersome without
 Specter – that Specter is in many ways Clojure's missing piece.
